Skip to main content
GET
/
api
/
v1
/
github
/
repos
/
{id}
/
pulls
List pull requests for a repository
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/github/repos/{id}/pulls \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "number": 123,
      "repo_full_name": "<string>",
      "state": "<string>",
      "title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "neo_review": {
        "critical_count": 123,
        "findings_count": 123,
        "high_count": 123,
        "latest_reviewed_at": "2023-11-07T05:31:56Z",
        "latest_status": "<string>",
        "medium_count": 123,
        "review_count": 123
      },
      "source_sha": "<string>"
    }
  ],
  "page": 123,
  "per_page": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Repository ID (UUID)

Query Parameters

q
string

Free-text search query

has_issues
boolean
default:false

Filter to PRs with review findings

include_merged
boolean
default:false

Include merged PRs in results

page
integer
default:1
Required range: x >= 1
per_page
integer
default:30
Required range: 1 <= x <= 100

Response

List of pull requests

has_more
boolean
required
items
object[]
required
page
integer
required
per_page
integer
required
total
integer
required